Update Network
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
Path Parameters
idstring
dnsServers?array<string>
name?string
description?string
macAddressPrefix?string
First 3 octets for MAC allocation within this network. Empty = leave unchanged on update.
Response Body
application/json
curl -X PATCH "https://api.nrings.io/v1/ipam/networks/{id}" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}" \ -H "Content-Type: application/json" \ -d '{ "dnsServers": [ "string" ], "name": "string", "description": "string", "macAddressPrefix": "string"}'{
"network": {
"id": "string",
"dnsServers": [
"string"
],
"name": "string",
"description": "string",
"organizationId": "string",
"metadata": {},
"status": "STATUS_UNSPECIFIED",
"timestamps": {
"createTime": "2019-08-24T14:15:22Z",
"updateTime": "2019-08-24T14:15:22Z"
},
"nodes": [
{
"id": "string",
"name": "string"
}
],
"macAddressPrefix": "string"
}
}